Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mro.util.experimentation
Class Table<V>

    java.lang.Object
      mro.util.experimentation.Table<V>

    public class Table<V>

extends java.lang.Object

A class for handling xml tables.

Field Summary
`private GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,V>` | `map`

Constructor Summary
`Table()`

Method Summary
`GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,V>` | `getGenericOrderedDoubleHashMap()`
`static Table` | `load(java.io.File file)` Loads a Table-object from the specified file.
`static Table` | `load(java.lang.String fileName)` Loads a Table-object from a file with the specified file name.
`static Table` | `loadXML(org.xml.sax.InputSource source)` Loads a Table-object from an `java.io.InputSource`.
`void` | `print()`
`static void` | `printDTD(java.io.PrintWriter pw)` Prints the complete DTD of a Table-XML-file to a `PrintWriter`.
`static void` | `printPartDTD(java.io.PrintWriter pw)` Prints the DTD of a Table-XML-file to a `PrintWriter`.
`void` | `printPartXML(java.io.PrintWriter pw)`
`static void` | `printTableXSLReference(java.io.PrintWriter pw)` Prints a reference to the Table-XSL-file to a `PrintWriter`.
`void` | `printXML(java.io.PrintWriter pw)` Prints the Table to a `PrintWriter`.
`void` | `printXSL(java.io.PrintWriter pw)` Prints a basic XSL-file for Table XML-files to a `PrintWriter`.
`void` | `put(int r, int c, V v)`
`void` | `save(java.io.File file)` Saves a Table-object to the specified file.
`void` | `save(java.lang.String fileName)` Saves a Table-object to a file with the specified file name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### map

    private GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,V> map

Constructor Detail

### Table

    public Table()

Method Detail

### put

    public void put(int r,
                    int c,
                    V v)

### getGenericOrderedDoubleHashMap

    public GenericOrderedDoubleHashMap<java.lang.Integer,java.lang.Integer,V> getGenericOrderedDoubleHashMap()

### print

    public void print()

### save

    public void save(java.lang.String fileName)
              throws java.io.IOException

  Saves a Table-object to a file with the specified file name.

  Throws:
    `java.io.IOException`

### save

    public void save(java.io.File file)
              throws java.io.IOException

  Saves a Table-object to the specified file.

  Throws:
    `java.io.IOException`

### printDTD

    public static void printDTD(java.io.PrintWriter pw)
                         throws java.io.IOException

  Prints the complete DTD of a Table-XML-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printPartDTD

    public static void printPartDTD(java.io.PrintWriter pw)
                             throws java.io.IOException

  Prints the DTD of a Table-XML-file to a `PrintWriter`. Only the elements. This method may be used when the Table-XML should be part of a larger XML.

  Throws:
    `java.io.IOException`

### printTableXSLReference

    public static void printTableXSLReference(java.io.PrintWriter pw)
                                       throws java.io.IOException

  Prints a reference to the Table-XSL-file to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printXML

    public void printXML(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints the Table to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### printPartXML

    public void printPartXML(java.io.PrintWriter pw)
                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### printXSL

    public void printXSL(java.io.PrintWriter pw)
                  throws java.io.IOException

  Prints a basic XSL-file for Table XML-files to a `PrintWriter`.

  Throws:
    `java.io.IOException`

### load

    public static Table load(java.lang.String fileName)
                      throws java.io.IOException,
                             org.xml.sax.SAXException

  Loads a Table-object from a file with the specified file name.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### load

    public static Table load(java.io.File file)
                      throws java.io.IOException,
                             org.xml.sax.SAXException

  Loads a Table-object from the specified file.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### loadXML

    public static Table loadXML(org.xml.sax.InputSource source)
                         throws java.io.IOException,
                                org.xml.sax.SAXException

  Loads a Table-object from an `java.io.InputSource`.

  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD